<?php
/* Busqueda de registros de la tabla PLA_MarcacionEmpleado redefinidos por el usuario. */
class PLA_MarcacionEmpleadoFN extends BasePLA_MarcacionEmpleadoFN
{
    public static function buscarHorarioPorIdPersona( $s_IdPersona )
    {
        $a_Data = array();
        $s_Sql = "
                    SELECT
                    PLA_MarcacionEmpleado.IdPersona,
                    MST_DiaSemana.IdDiaSem, MST_DiaSemana.Nombre,
                    PLA_MarcacionRegistro.IdRegistro,
                    PLA_MarcacionRegistro.Descripcion DescripcionReg,
                    PLA_MarcacionTipo.IdTipo,
                    PLA_MarcacionTipo.Descripcion DescripcionTipo,
                    CONCAT( PLA_MarcacionEmpleado.HoraMinutoDesde, ' - ', PLA_MarcacionEmpleado.HoraMinutoHasta ) DesdeHasta,
                    DiaSiguienteFlag
                    FROM PLA_MarcacionEmpleado
                      LEFT JOIN MST_DiaSemana ON PLA_MarcacionEmpleado.IdDiaSem=MST_DiaSemana.IdDiaSem
                        LEFT JOIN PLA_MarcacionRegistro ON PLA_MarcacionEmpleado.IdRegistro=PLA_MarcacionRegistro.IdRegistro
                          LEFT JOIN PLA_MarcacionTipo ON PLA_MarcacionEmpleado.IdRegistro=PLA_MarcacionTipo.IdRegistro AND PLA_MarcacionEmpleado.IdTipo=PLA_MarcacionTipo.IdTipo
                    WHERE PLA_MarcacionEmpleado.IdPersona='$s_IdPersona'
                    ORDER BY MST_DiaSemana.IdDiaSem, PLA_MarcacionRegistro.Secuencia, PLA_MarcacionTipo.Secuencia
                ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        while( $o_ResultSet->next() ) 
        {
            $a_SQLRow = $o_ResultSet->getRow();
            $a_Data[] = $a_SQLRow;
        }
        return $a_Data;
    }
}
?>